Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class AllocationSolve

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.Solve
                  |
                  +--oracle.AWXML.AllocationSolve

public class AllocationSolve
extends Solve

A `Solve` that allocates data down one or more dimension hierarchies from a source measure to a target measure in an analytic workspace. An allocation operation creates detail data from aggregate data.

Allocation methods range from a simple allocation, such as copying values from the source measure to the target measure, to complex allocations, such as proportionally distributing the data using formulas and complex allocation operator types. Specific dimension combinations can be excluded from the allocation, causing the corresponding measure values to be locked in the target. An `AllocationSolve` uses an `AllocationDefinition` to specify the allocation operator types and the members of the hierarchies that participate in the allocation.

Each `AllocationSolve` specifies a source that has the aggregate data to allocate. Additionally, the `AllocationSolve` can specify a measure that is the basis for the allocation, and a target that receives the allocated values. If you do not designate a target, then the source values are allocated and stored in the source measure.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`AllocationSolve(BaseObject input)` Creates an `AllocationSolve` in the specified `SolveGroup`.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Alters the text attributes of the `AllocationSolve` in an analytic workspace.
`java.lang.String` | `Create(AWConnection connection)` Creates an `AllocationSolve` and adds it to the end of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateAfter(AWConnection connection, BaseObject referencedObj)` Creates an `AllocationSolve` and adds it after the referenced `AllocationSolve` to the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateBefore(AWConnection connection, BaseObject referencedObj)` Creates an `AllocationSolve` and adds it before the referenced `AllocationSolve` to the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateFirst(AWConnection connection)` Creates an `AllocationSolve` and adds it at the beginning of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `AllocationSolve` from the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`AllocationDefinition` | `getAllocationDefinition()` Gets the `AllocationDefinition` that defines the rules for the `AllocationSolve`.
`Measure` | `getBase()` Gets the `Measure` on which the allocation is based.
`Measure` | `getSource()` Gets the source of the data to allocate.
`Measure` | `getTarget()` Gets the `Measure` that is the target of the allocation operation.
`void` | `setAllocationDefinition(AllocationDefinition input)` Specifies the `AllocationDefinition` that defines the rules for this `AllocationSolve`.
`void` | `setBase(Measure input)` Specifies a `Measure` that provides the data that determines which values of the target receive allocated data and, in an even or proportional operation, the amount of the source data that is allocated to a target `Measure`.
`void` | `setSource(Measure input)` Specifies the source of the data to allocate.
`void` | `setTarget(Measure input)` Specifies the target `Measure` for the allocated values.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `AllocationSolve`.

Methods inherited from class oracle.AWXML.Solve
`addDimensionMemberSelection, createDimensionMemberSelection, getDimensionMemberSelection, getSolveOrder, readAWDefinitions, removeDimensionMemberSelection, setSolveOrder, setSolveOrder`

Methods inherited from class oracle.AWXML.BaseObject
`DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllocationSolve

    public AllocationSolve(BaseObject input)

  Creates an `AllocationSolve` in the specified `SolveGroup`.
  Parameters:
    `input` - The `SolveGroup` for which you want to create a new `AllocationSolve`.

Method Detail

### setTarget

    public void setTarget(Measure input)

  Specifies the target `Measure` for the allocated values.
  Parameters:
    `input` - The `Measure` that you want to receive the allocated data.

### getTarget

    public Measure getTarget()

  Gets the `Measure` that is the target of the allocation operation.
  Returns:
    The `Measure` that receives the allocated data.

### setAllocationDefinition

    public void setAllocationDefinition(AllocationDefinition input)

  Specifies the `AllocationDefinition` that defines the rules for this `AllocationSolve`.
  Parameters:
    `input` - The `AllocationDefinition` to use.

### getAllocationDefinition

    public AllocationDefinition getAllocationDefinition()

  Gets the `AllocationDefinition` that defines the rules for the `AllocationSolve`.
  Returns:
    The `AllocationDefinition` for the `AllocationSolve`.

### setSource

    public void setSource(Measure input)

  Specifies the source of the data to allocate.
  Parameters:
    `input` - The `Measure` that is the source of the data to allocate.

### getSource

    public Measure getSource()

  Gets the source of the data to allocate.
  Returns:
    The `Measure` that is the source of the data to allocate.

### setBase

    public void setBase(Measure input)

  Specifies a `Measure` that provides the data that determines which values of the target receive allocated data and, in an even or proportional operation, the amount of the source data that is allocated to a target `Measure`. When the `OperatorType` specified by an `AllocationOperator` is a copy operator (`COPY`, `MAX`, `MIN`, `FIRST`, or `LAST`), the base `Measure` values determine which target values the allocation updates. When the `OperatorType` is `EVEN`, then the operation derives the counts for the allocation from the base. When the `OperatorType` is the `PROPORTIONAL`, then the operation uses the base data to determine the amount to allocate to each target value. When the `OperatorType` is `HCOPY`, `HFIRST`, `HLAST`, or `HEVEN`, then the operation does not use the base measure. Instead, it allocates the source data to all of the target values in the dimension hierarchy that is specified by the `AllocationHierarchySpecification`.

  When the same `Measure` is both the base and the target, the current values of the target determine the allocation. If you do not specify a base, then the allocation operation command uses the source `Measure` as the base.

  Parameters:
    `input` - The `Measure` that you want to use as the basis of the allocation operation.

### getBase

    public Measure getBase()

  Gets the `Measure` on which the allocation is based.
  Returns:
    The base `Measure`.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `AllocationSolve`.
  Overrides:
    WriteToXML in class Solve
  Returns:
    An XML `String` that represents the `AllocationSolve`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates an `AllocationSolve` and adds it to the end of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AllocationSolve`.

### CreateFirst

    public java.lang.String CreateFirst(AWConnection connection)

  Creates an `AllocationSolve` and adds it at the beginning of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    CreateFirst in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AllocationSolve`.

### CreateAfter

    public java.lang.String CreateAfter(AWConnection connection,
                                        BaseObject referencedObj)

  Creates an `AllocationSolve` and adds it after the referenced `AllocationSolve` to the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    CreateAfter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `AllocationSolve` after which you want to add the new `AllocationSolve`.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AllocationSolve`.

### CreateBefore

    public java.lang.String CreateBefore(AWConnection connection,
                                         BaseObject referencedObj)

  Creates an `AllocationSolve` and adds it before the referenced `AllocationSolve` to the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    CreateBefore in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `AllocationSolve` before which you want to add the new `AllocationSolve`.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AllocationSolve`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `AllocationSolve` from the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class Solve
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if this method successfully deletes the `AllocationSolve`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Alters the text attributes of the `AllocationSolve` in an analytic workspace.
  Overrides:
    Alter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully alters the `AllocationSolve`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.